# ContextAttribs (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class ContextAttribs

    java.lang.Object
      org.lwjgl.opengles.ContextAttribs

    public final class ContextAttribs

extends java.lang.Object

This class represents the context attributes passed to EGL's eglCreateContext. The only attribute allowed is EGL_CONTEXT_CLIENT_VERSION and it must be 2 or 3 (LWJGL does not support GLES 1.x).

Constructor Summary
`ContextAttribs()`
`ContextAttribs(int version)`

Method Summary
`java.nio.IntBuffer` `getAttribList()`
`int` `getVersion()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextAttribs

    public ContextAttribs()

### ContextAttribs

    public ContextAttribs(int version)

Method Detail

### getVersion

    public int getVersion()

### getAttribList

    public java.nio.IntBuffer getAttribList()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.